## Apache Zeta Components Manual :: Docs For Class ezcMvcMailRequestParser

### MvcMailTiein::ezcMvcMailRequestParser

### Class ezcMvcMailRequestParser

Request parser that uses an e-mail message to populate an ezcMvcRequest object.

Source for this file: /MvcMailTiein/src/request_parsers/mail.php

    ezcMvcRequestParser
       |
       --ezcMvcMailRequestParser

Version: | //autogentag//

### Inherited Member Variables

From ezcMvcRequestParser
protected | `ezcMvcRequestParser::$properties`
protected | `ezcMvcRequestParser::$request`

### Method Summary

public void | `addFile( $context , $mailFile )` Adds a found attachment to the request structure.
public ezcMvcRequest | `createRequest( [ $mailMessage = null] )` Uses stdin, or the provided data in $mailMessage.
public void | `getBody( $context , $mailText )` Sets the request body to the text of the $mailText if the body is empty.
protected void | `processAcceptHeaders( )` Does really nothing, as Mail doesn't have those bits.
protected void | `processFiles( $mail )` Processes file attachments.
protected void | `processStandardHeaders( $mail )` Processes the standard headers that are not subdivided into other structs.
protected void | `processUserAgentHeaders( $mail )` Processes the User Agent header into the ezcMvcRequestUserAgent struct.

### Inherited Methods

From ezcMvcRequestParser
public ezcMvcRequestParser | `ezcMvcRequestParser::__construct()` Constructs a new request parser
public abstract ezcMvcRequest | `ezcMvcRequestParser::createRequest()` Reads the raw request data with what ever means necessary and constructs an ezcMvcRequest object.

### Methods

#### addFile

void addFile( $context , $mailFile )

Adds a found attachment to the request structure.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$context` | ezcMailPartWalkContext |
`$mailFile` | ezcMailFile |

#### createRequest

ezcMvcRequest createRequest( [string $mailMessage = null] )

Uses stdin, or the provided data in $mailMessage.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$mailMessage` | string |

##### Redefinition of:

Method | Description
--- | ---
`ezcMvcRequestParser::createRequest()` | Reads the raw request data with what ever means necessary and constructs an ezcMvcRequest object.

#### getBody

void getBody( $context , $mailText )

Sets the request body to the text of the $mailText if the body is empty.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$context` | ezcMailPartWalkContext |
`$mailText` | ezcMailText |

#### processAcceptHeaders

void processAcceptHeaders( )

Does really nothing, as Mail doesn't have those bits.

#### processFiles

void processFiles( $mail )

Processes file attachments.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$mail` | ezcMail |

#### processStandardHeaders

void processStandardHeaders( $mail )

Processes the standard headers that are not subdivided into other structs.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$mail` | ezcMail |

#### processUserAgentHeaders

void processUserAgentHeaders( $mail )

Processes the User Agent header into the ezcMvcRequestUserAgent struct.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$mail` | ezcMail |

Documentation generated by phpDocumentor 1.4.3